
Figure - Bug #117047
测试 Test-IT # 110867 (New): V1.0测试功能汇总

测试 Test-IT # 110895 (New): AF-V1.0功能测试-桌面

【AF】【EVT3】【图库】使用屏幕录制功能录制一个视频，点击相应通知开始播放视频，再上划进入任务管
理器，重复上下滑动，再次点击recent中图库卡片，出现”应用不可用"的提示
2023-03-20 19:20 - CD TEST-方永红

Status: CLOSED Start date: 2023-03-20

Priority: High Due date:

Assignee: CD TEST-方永红 % Done: 100%

Category: CD-APP Estimated time: 0.00 hour

Target version: VC1_FSE_0086_20230328

Need_Info: -- Found Version: FlatBuild_HH_MCE_FSE.M.D.user.01.00.C101(X101).202303191230

Resolution: FIXED Degrated: No

Severity: Major Verified Version: FlatBuild_HH_MCE_FSE.M.D.user.01.00.C102(X102).202304010020

Reproducibility: Every time Fixed Version: 2023-03-29

Test Type: ST Root cause: AOSP问题

Description

【前提条件】

1、设备正常启动

【测试步骤】

1、使用屏幕录制功能录制一个视频

2、点击相应通知开始播放视频

3、再上划进入任务管理器，重复上下滑动

4、再次点击recent中图库卡片

【预期结果】

4、正常进入图库，播放视频

【实际结果】

4、出现”应用不可用"的提示

【复现率】

3/3

【备注】目前仅在VC1的屏幕上复现

Related issues:

Related to Figure - Bug # 115211: 【AF】【EVT】【视频】将播放视频的暂停，在... CLOSED 2023-01-10

History

#1 - 2023-03-23 14:43 - CDTS_TEST 王成

- Target version set to VC1_FSE_0086_20230328

#2 - 2023-03-23 14:55 - CD APP-王营

- Status changed from New to ASSIGNED

- Assignee changed from CD APP-王营 to CD APP-王宏

#3 - 2023-03-23 19:44 - CD APP-王宏

■ Current conclusion
分析中

■ My analysis

根据断点排查，报错如下：java.lang.SecurityException: UID 10084 does not have permission to content://media/external_primary/video/media/53 [user 0]

判断应该是通知栏给到的Uri未做兼容，请FW同事帮忙排查一下。

■ Next action

请FW同事帮忙排查一下。

#4 - 2023-03-24 10:19 - CD APP-王宏

- Category changed from CD-APP to CD-FW

- Assignee changed from CD APP-王宏 to CD FW 曹覃刚

#5 - 2023-03-24 13:54 - CD FW 曹覃刚

- Category changed from CD-FW to CD-APP

- Assignee changed from CD FW 曹覃刚 to CD APP-王宏

Hi 王宏

■ 我的分析

1.在你的设备上，使用下载的视频直接使用图库播放，也会存在问题

2.在我的设备上，无法复现这个问题，录屏，然后点击通知进入应用进行播放，播放正常

■ 下一步解析计划

请继续解析"应用不可用"的提示出现原因，谢谢

#6 - 2023-03-24 18:29 - CD APP-王宏

- Category changed from CD-APP to CD-FW

- Assignee changed from CD APP-王宏 to CD FW 曹覃刚

Hi 覃刚

■ My analysis

根据文件的分享逻辑是被授予了临时权限，当播放完成后界面被销毁，临时权限失效。再次点击时会调

用ActivityManagerWrapper$startActivityFromRecents(int taskId, ActivityOptions options).

由于Activity启动前会有一系列的检查，导致了启动失败。

1.请在启动前放行，并且保证Uri可以正常播放出视频。

2.也可以在当前情况下，移除对应的task卡片

■ Next action

请FW同事帮忙排查一下。

复现步骤：

1、确保相册未启动任何界面

2、录屏，点击通知栏录屏结果

3、播放完毕自动finish后进入recent界面

4、点击相册卡片（此时相册内无任何actvity存在）

#7 - 2023-03-24 19:33 - CD FW 曹覃刚

- Category changed from CD-FW to CD-APP

- Assignee changed from CD FW 曹覃刚 to CD APP-王宏

2025-07-04 2/4



Hi 王宏

■ 我的分析

根据文件的分享逻辑是被授予了临时权限，当播放完成后界面被销毁，临时权限失效。再次点击时会调

用ActivityManagerWrapper$startActivityFromRecents(int taskId, ActivityOptions options).

由于Activity启动前会有一系列的检查，导致了启动失败。

请在启动前放行，并且保证Uri可以正常播放出视频。

也可以在当前情况下，移除对应的task卡片

从上述分析来看，仍然是应用的权限问题

从FW的观点出发

1.权限检测机制是共通的，除了极个别特殊情况，都需要考虑在应用端添加权限。而不是根据条件或者时机，对个别问题在框架层中单独特殊处理

2.正常做法应该是，给该应用添加权限

■ 下一步解析计划

请调查，所缺的具体权限种类是什么，然后调查是否可以从应用侧添加该权限，谢谢

#8 - 2023-03-28 11:03 - CD APP-王营

- Assignee changed from CD APP-王宏 to CD APP-王营

#9 - 2023-03-28 15:56 - CD APP-王营

■ Current conclusion

已经和浩云确认如下方案：

1.原生逻辑从通知中心点击录屏视频，调用Gallery2进行播放此视频，播放结束后将此Activity界面移除（finish），task依然存在于任务管理器，点击此task

卡片，原生framework层进行权限判断，为防止死锁问题，无法继续启动此界面，抛出异常，在Launcher给出提示“应用不可用”

2.当前修改方案，视频播放后不进行finish，视频进入待播放状态，可以点击播放按钮进行播放，如果此时从侧面滑动通过手势finish此界面，进入recent点

击task卡片依然会出现提示，当前方案在原生基础上做出一定优化。

■Submit URL

https://dev.thundercomm.com/gerrit/c/general/platform/packages/apps/Gallery2/+/190244

#10 - 2023-03-28 19:20 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

190244 general/platform/packages/apps/Galler

y2

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

ying.wang@thundersoft.com

AF: Gallery2: Fix TaskView error toast1.Fix taskView error toast when play the video from notification afterscreen record.TC-RID: 1201-0300701IssueID:

TS-R-BUG-117047Change-Id: Iba4f655228dded8ed28893427615e90673433c6f

#11 - 2023-03-28 19:22 - CD APP-王营

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD APP-王营 to CD TEST-方永红
- % Done changed from 0 to 100

- Resolution changed from -- to FIXED

- Degrated changed from -- to No

- Fixed Version set to 2023-03-29

- Root cause set to AOSP问题

#12 - 2023-04-01 15:35 - CD TEST-方永红

- Status changed from RESOLVED to VERIFIED

- Verified Version set to FlatBuild_HH_MCE_FSE.M.D.user.01.00.C102(X102).202304010020

4.1

验证通过

#13 - 2023-04-01 15:35 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED

Files

Phone-1A2212290000001651 2023-03-20 18-01-12.zip 28 MB 2023-03-20 CD TEST-方永红

log.txt 5.45 MB 2023-03-20 CD TEST-方永红
